module Alo
  module Generators
    class DownloadGenerator < ::Rails::Generators::NamedBase

      def download
        puts "Downloading component #{component_name} ..."
        puts %x(bower install --save #{component_name})
      end

      private

      def component_name
        name.gsub('_', '-').downcase
      end
    end
  end
end
